Chat9
APIKnowledge

Dismiss Unanswered

POST
/api/v1/knowledge/unanswered/{group_id}/dismiss
/api/v1/knowledge/unanswered/{group_id}/dismiss

The Authorization access token

Authorization

Authorization
Required
Bearer <token>

In: header

Request Body

application/jsonRequired

reason
Required
UnansweredDismissReason

Value in: "not_our_product" | "should_not_answer" | "other"

Path Parameters

group_id
Required
Group Id

Format: "uuid"
curl -X POST "https://api.getchat9.live/api/v1/knowledge/unanswered/497f6eca-6276-4993-bfeb-53cbbbba6f08/dismiss" \
  -H "Authorization: Bearer <token>" \
  -H "Content-Type: application/json" \
  -d '{
    "reason": "not_our_product"
  }'

Successful Response

{
  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  "status": "open",
  "question": "string",
  "question_message_id": "b376d6ed-6a12-419c-8cb0-498a6822cd28",
  "chat_id": "efc9fe20-a1e5-4a8c-9c48-f1b30c1e4f86",
  "session_id": "1ffd059c-17ea-40a8-8aef-70fd0307db82",
  "conversations_30d": 0,
  "last_asked_at": "2019-08-24T14:15:22Z",
  "reasons": [
    "unanswered"
  ],
  "reopened_after_answer": true,
  "faq_id": "49e222ac-1b41-42c3-b7e8-5f3f89bf3f23",
  "has_draft": true,
  "generating": true,
  "dismiss_reason": "not_our_product"
}